<?php

/**
 * @package Gravatar Integration mod
 * @version 1.0
 * @author John Rayes <live627@gmail.com>
 * @copyright Copyright (c) 2010, 2018, John Rayes
 * @license http://opensource.org/licenses/MIT MIT
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	exit('<b>Error:</b> Cannot install - please verify you put this in the same place as SMF\'s index.php.');

updateSettings(
	array(
		'gravatar_all' => 0,
		'gravatar_default' => $modSettings['avatar_url'] . '/blank.gif',
		'gravatar_rating' => 1,
	)
);

if(!empty($ssi))
	echo 'Database installation complete!';

?>