<?php

/**
 * @package Gravatar Integration mod
 * @version 1.0
 * @author John Rayes <live627@gmail.com>
 * @copyright Copyright (c) 2010, 2018, John Rayes
 * @license http://opensource.org/licenses/MIT MIT
 */

if (file_exists(dirname(__FILE__) . '/SSI.php') && !defined('SMF'))
	require_once(dirname(__FILE__) . '/SSI.php');
elseif (!defined('SMF'))
	die('<b>Error:</b> Cannot uninstall - please verify you put this in the same place as SMF\'s index.php.');

$to_remove = array(
	'gravatar_all',
	'gravatar_default',
	'gravatar_rating',
);

foreach ($to_remove as $setting)
	if (isset($modSettings[$setting]))
		unset($modSettings[$setting]);

$smcFunc['db_query']('', '
	DELETE FROM {db_prefix}settings
	WHERE variable IN ({array_string:settings})',
	array(
		'settings' => $to_remove,
	)
);

?>
